## libgcal 0.9.2

=== CMakeLists.txt ===
# Copyright (c) 2009 Mike Arthur <mike@mikearthur.co.uk>

project("libgcal" C)
cmake_minimum_required(VERSION 2.6)
set(CMAKE_MODULE_PATH 
	"${CMAKE_SOURCE_DIR}/cmake/modules"
	"${CMAKE_SOURCE_DIR}/cmake/3rd-party-modules/opensync"
)

include(SetBuildType)

set(GCAL_VERSION_MAJOR 0)
set(GCAL_VERSION_MINOR 9)
set(GCAL_VERSION_PATCH 2)
set(GCAL_VERSION 
	${GCAL_VERSION_MAJOR}.${GCAL_VERSION_MINOR}.${GCAL_VERSION_PATCH}
)
set(GCAL_VERSION_COUNT 3)

message(STATUS "Building ${PROJECT_NAME} ${GCAL_VERSION}")

set(LIB_SUFFIX "" CACHE STRING
	"Define suffix of library directory name (e.g. 32/64 for lib32/lib64)"
)

option(ENABLE_TESTS "Build unit tests" ON)
option(CURL_DEBUG "Enable cURL debugging" OFF)
if(CURL_DEBUG)
  ADD_DEFINITIONS(-DGCAL_DEBUG_CURL)
endif()

find_package(CURL REQUIRED)
find_package(LibXml2 REQUIRED)

find_program(CTAGS etags)
find_program(DOXYGEN doxygen)

if(CMAKE_DEBUG_BUILD)
	# Try and find GCOV for test coverage.
	find_program(GCOV gcov)
	set(CMAKE_C_FLAGS
		"${CMAKE_C_FLAGS} -Wall -W -Wno-pointer-sign -Wmissing-declarations -Wmissing-prototypes -Wredundant-decls -Wshadow -Wbad-function-cast -Wcast-qual -Wno-pointer-sign"
        )
endif()

set(GCAL_SOURCE_DIR "${CMAKE_SOURCE_DIR}/src")
set(GCAL_HEADER_DIR "${CMAKE_SOURCE_DIR}/inc")
set(GCAL_TEST_DIR "${CMAKE_SOURCE_DIR}/utests")

set(GCAL_LIBRARY_INSTALL_DIR "lib${LIB_SUFFIX}")
set(GCAL_INCLUDE_INSTALL_DIR "include")
set(GCAL_CMAKE_MODULE_INSTALL_DIR "${CMAKE_ROOT}/Modules")

include(SetAutotoolsVariables)

add_custom_target(doc)
add_custom_target(docs)
add_dependencies(docs doc)

# Generate Doxygen Documentation
if(DOXYGEN)
	configure_file(${CMAKE_SOURCE_DIR}/Doxyfile.in Doxyfile @ONLY)
	execute_process(COMMAND ${CMAKE_COMMAND} -E make_directory "${CMAKE_BINARY_DIR}/docs")
	add_custom_target(doxygen ${DOXYGEN})
	add_dependencies(doc doxygen)
endif()

# Generate pkg-config files
configure_file(${CMAKE_SOURCE_DIR}/libgcal.pc.in ${CMAKE_BINARY_DIR}/libgcal.pc @ONLY)
install(
	FILES "${CMAKE_BINARY_DIR}/libgcal.pc"
	DESTINATION "${GCAL_LIBRARY_INSTALL_DIR}/pkgconfig"
)

if(CTAGS)
	add_custom_target(tags
		COMMAND ${CTAGS} ${GCAL_SOURCE_DIR}/*.c ${GCAL_HEADER_DIR}/*.h ${GCAL_TEST_DIR}/*.?
	)
endif()

include_directories(
	${GCAL_HEADER_DIR}
        ${CURL_INCLUDE_DIRS}
        ${LIBXML2_INCLUDE_DIR}
)

# If we've found GCov then add the necessary profiling flags.
if(GCOV)
	set(CMAKE_C_FLAGS
		"${CMAKE_C_FLAGS} -fprofile-arcs -ftest-coverage"
	)
endif()

add_subdirectory(${GCAL_SOURCE_DIR})

if(ENABLE_TESTS)
	add_subdirectory(${GCAL_TEST_DIR})
endif()

# Install header files
install(
	DIRECTORY "${GCAL_HEADER_DIR}/"
        DESTINATION "${GCAL_INCLUDE_INSTALL_DIR}"
	FILES_MATCHING PATTERN "*.h"
)

# Install CMake module
install(
	FILES "${CMAKE_SOURCE_DIR}/cmake/modules/FindLibGCal.cmake"
	DESTINATION "${GCAL_CMAKE_MODULE_INSTALL_DIR}"
)

# Add uninstall
configure_file(
	"${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
	"${CMAKE_BINARY_DIR}/cmake_uninstall.cmake"
	IMMEDIATE @ONLY
)
add_custom_target(uninstall
	"${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
)

## libgcal 0.9.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 set(GCAL_VERSION_MAJOR 0)
 set(GCAL_VERSION_MINOR 9)
-set(GCAL_VERSION_PATCH 2)
+set(GCAL_VERSION_PATCH 3)
 set(GCAL_VERSION 
 	${GCAL_VERSION_MAJOR}.${GCAL_VERSION_MINOR}.${GCAL_VERSION_PATCH}
 )
@@ -120,3 +120,11 @@
 	"${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
 )
 
+
+# Make dist
+set(PROJECT_VERSION ${GCAL_VERSION})
+set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
+add_custom_target(dist
+    COMMAND git archive --prefix=${ARCHIVE_NAME}/ HEAD
+        | bzip2 > ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
+    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

## libgcal 0.9.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Copyright (c) 2009 Mike Arthur <mike@mikearthur.co.uk>
 
-project("libgcal" C)
+project("LibGCal" C)
 cmake_minimum_required(VERSION 2.6)
-set(CMAKE_MODULE_PATH 
+set(CMAKE_MODULE_PATH
 	"${CMAKE_SOURCE_DIR}/cmake/modules"
 	"${CMAKE_SOURCE_DIR}/cmake/3rd-party-modules/opensync"
 )
@@ -11,8 +11,8 @@
 
 set(GCAL_VERSION_MAJOR 0)
 set(GCAL_VERSION_MINOR 9)
-set(GCAL_VERSION_PATCH 3)
-set(GCAL_VERSION 
+set(GCAL_VERSION_PATCH 4)
+set(GCAL_VERSION
 	${GCAL_VERSION_MAJOR}.${GCAL_VERSION_MINOR}.${GCAL_VERSION_PATCH}
 )
 set(GCAL_VERSION_COUNT 3)
@@ -72,6 +72,16 @@
 	DESTINATION "${GCAL_LIBRARY_INSTALL_DIR}/pkgconfig"
 )
 
+
+# Generate CMake package configuration file
+configure_file(${CMAKE_SOURCE_DIR}/cmake/LibGCalConfig.cmake.in ${CMAKE_BINARY_DIR}/cmake/LibGCalConfig.cmake @ONLY)
+# TODO: Install this to ${GCAL_LIBRARY_INSTALL_DIR}/cmake/LibGCal when we 
+# depend on CMake >= 2.6.3
+install(
+	FILES "${CMAKE_BINARY_DIR}/cmake/LibGCalConfig.cmake"
+	DESTINATION "${GCAL_LIBRARY_INSTALL_DIR}/LibGCal/cmake"
+)
+
 if(CTAGS)
 	add_custom_target(tags
 		COMMAND ${CTAGS} ${GCAL_SOURCE_DIR}/*.c ${GCAL_HEADER_DIR}/*.h ${GCAL_TEST_DIR}/*.?
@@ -104,12 +114,6 @@
 	FILES_MATCHING PATTERN "*.h"
 )
 
-# Install CMake module
-install(
-	FILES "${CMAKE_SOURCE_DIR}/cmake/modules/FindLibGCal.cmake"
-	DESTINATION "${GCAL_CMAKE_MODULE_INSTALL_DIR}"
-)
-
 # Add uninstall
 configure_file(
 	"${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"

=== debian/changelog ===
libgcal (0.9.4-2) unstable; urgency=high

  * debian/patches/02_libxml_segfault.diff: New patch, fixing a segfault when
    using both libgcal and libxml in the same program. (Closes: #597153)

 -- Michael Banck <mbanck@debian.org>  Mon, 04 Oct 2010 21:02:34 +0200

libgcal (0.9.4-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Add libgcal0 symbols file.
  * Add 01_restore_abi_compatibility.diff to restore ABI compatibility.
  * debian/control (Build-Depends): Bumped debhelper version to 7.4.11~.
  * debian/control (Build-Depends): Added cmake and check build dependencies.
  * debian/control (Standards-Version): Bumped from 3.8.3 to 3.8.4
    (no changes needed).
  * debian/control (Vcs-Browser and Vcs-Svn): Added version control system
    location.
  * debian/rules: Enabled parallel build (pass --parallel option to dh).
  * debian/rules: Switched to cmake build system
    (pass --buildsystem option to dh).
  * debian/libgcal-dev.install: Updated.

 -- Fathi Boudra <fabo@debian.org>  Fri, 11 Jun 2010 18:42:45 +0300

libgcal (0.9.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Uploaders): Added myself as co-maintainer.
  * debian/control (Build-Depends): Bumped debhelper version to 7.0.50~.
  * debian/control (Standards-Version): Bumped from 3.8.0 to 3.8.3
    (no changes needed).
  * debian/libgcal-dev.install: Dropped libgcal.la file.
  * debian/rules: Converted to dh usage and pass --list-missing to make sure
    we didn't miss any files.
  * debian/not-installed: list intended not installed files.

 -- Fathi Boudra <fabo@debian.org>  Wed, 26 Aug 2009 19:53:19 +0200

libgcal (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control (libgcal-dev/Depends): Added libgcal0.

 -- Michael Banck <mbanck@debian.org>  Fri, 07 Aug 2009 00:18:14 +0200

libgcal (0.9.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Build-Depends): Replaced libcurl4-openssl-dev with
    libcurl4-gnutls-dev. (Closes: #534836)

 -- Michael Banck <mbanck@debian.org>  Sun, 05 Jul 2009 11:29:18 +0200

libgcal (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * debian/rules (binary-arch): Dropped version-specific changelog file as
    dh_installchangelogs argument, no longer shipped upstream.
  * debian/copyright: Refer to /usr/share/common-licenses/GPL-2 explicitely.
  * debian/rules (install): Use dh_prep instead of dh_clean -k.

 -- Michael Banck <mbanck@debian.org>  Tue, 12 May 2009 16:41:04 +0200

libgcal (0.8.1-3) unstable; urgency=low

  * debian/copyright: Clarified the copyright and license of configure.ac and
    src/curl_debug_gcal.c.

 -- Michael Banck <mbanck@debian.org>  Thu, 25 Dec 2008 20:16:11 +0100

libgcal (0.8.1-2) unstable; urgency=low

  * debian/rules (libcal-dev/Depends): Added libxml2-dev and
    libcurl4-openssl-dev.

 -- Michael Banck <mbanck@debian.org>  Sat, 06 Dec 2008 13:12:11 +0100

libgcal (0.8.1-1) unstable; urgency=low

  * Initial release (Closes: #502016)

 -- Michael Banck <mbanck@debian.org>  Sun, 30 Nov 2008 18:16:25 +0100

=== debian/control ===
Source: libgcal
Section: libs
Priority: optional
Maintainer: Michael Banck <mbanck@debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.11~), cmake, check, libxml2-dev, libcurl4-gnutls-dev
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/libgcal/
Vcs-Svn: svn://svn.debian.org/pkg-opensync/trunk/libgcal
Vcs-Browser: http://svn.debian.org/wsvn/pkg-opensync/trunk/libgcal/#_trunk_libgcal_

Package: libgcal0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Google calendar and contacts library
 This is a library to access google calendar events and contacts.
 Its purpose is to provide easy access to available events/contacts and to
 enable common operations like add, delete or edit.

Package: libgcal-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends},
 libgcal0 (= ${binary:Version}), libxml2-dev, libcurl4-openssl-dev
Description: Google calendar and contacts (development files)
 This is a library to access google calendar events and contacts.
 Its purpose is to provide easy access to available events/contacts and to
 enable common operations like add, delete or edit.
 .
 This package contains the static library and header files.

## libgcal 0.9.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 set(GCAL_VERSION_MAJOR 0)
 set(GCAL_VERSION_MINOR 9)
-set(GCAL_VERSION_PATCH 4)
+set(GCAL_VERSION_PATCH 6)
 set(GCAL_VERSION
 	${GCAL_VERSION_MAJOR}.${GCAL_VERSION_MINOR}.${GCAL_VERSION_PATCH}
 )
@@ -48,7 +48,7 @@
 set(GCAL_TEST_DIR "${CMAKE_SOURCE_DIR}/utests")
 
 set(GCAL_LIBRARY_INSTALL_DIR "lib${LIB_SUFFIX}")
-set(GCAL_INCLUDE_INSTALL_DIR "include")
+set(GCAL_INCLUDE_INSTALL_DIR "include/libgcal")
 set(GCAL_CMAKE_MODULE_INSTALL_DIR "${CMAKE_ROOT}/Modules")
 
 include(SetAutotoolsVariables)

=== examples/Makefile ===
CFLAGS=$(shell pkg-config --cflags libgcal)
LDLIBS=$(shell pkg-config --libs libgcal)

all: addeditdel addnew getallcontacts updatecal

clean:
	rm -f *.o
	rm -f addeditdel addnew getallcontacts updatecal

addeditdel: addeditdel.o

addnew: addnew.o

getallcontacts: getallcontacts.o

updatecal: updatecal.o

=== src/CMakeLists.txt ===
# Copyright (c) 2009 Mike Arthur <mike@mikearthur.co.uk>

set(GCAL_SOURCE_FILES
	atom_parser.c
	gcal.c
	gcalendar.c
	gcal_parser.c
	gcal_status.c
	gcontact.c
	gcont.c
	xml_aux.c
)

if(CURL_DEBUG)
	set(GCAL_SOURCE_FILES ${GCAL_SOURCE_FILES} curl_debug_gcal.c)
endif()

add_library(gcal SHARED ${GCAL_SOURCE_FILES})
target_link_libraries(gcal ${CURL_LIBRARIES} ${LIBXML2_LIBRARIES})
set_target_properties(
	gcal PROPERTIES
	VERSION "${GCAL_VERSION}"
	SOVERSION "${GCAL_VERSION_MAJOR}"
)

install(
	TARGETS gcal
	LIBRARY DESTINATION "${GCAL_LIBRARY_INSTALL_DIR}"
	ARCHIVE DESTINATION "${GCAL_LIBRARY_INSTALL_DIR}"
)

=== utests/CMakeLists.txt ===
# Copyright (c) 2009 Mike Arthur <mike@mikearthur.co.uk>

find_package(Check REQUIRED)
find_program(LCOV lcov)
find_program(LCOV_GENHTML genhtml)

include_directories(${CHECK_INCLUDE_DIRS})

set(GCAL_TEST_SOURCE_FILES
	utest.c
	utest_contact.c
	utest_debug.c
	utest_edit.c
	utest_gcal.c
	utest_query.c
	utest_screw.c
	utest_userapi.c
	utest_xmlmode.c
	utest_xpath.c
	utils.c
)

add_executable(testgcal ${GCAL_TEST_SOURCE_FILES})
target_link_libraries(testgcal gcal ${CHECK_LIBRARIES})

add_custom_target(
	test
	COMMAND "${CMAKE_CURRENT_BINARY_DIR}/testgcal" 
	DEPENDS testgcal
	WORKING_DIRECTORY "${CMAKE_BINARY_DIR}"
)

if(GCOV)
	add_custom_target(
		gcov
		COMMAND ${GCOV} utest.c --object-directory "${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/testgcal.dir/utest.c.gcno"
		WORKING_DIRECTORY "${CMAKE_BINARY_DIR}"
	)
	add_dependencies(gcov test)
endif()

if(LCOV)
	add_custom_target(
		lcov_capture
		COMMAND ${LCOV} --capture --directory "src/" --output-file "${CMAKE_CURRENT_BINARY_DIR}/testgcal.lcov"
		WORKING_DIRECTORY "${CMAKE_BINARY_DIR}"
	)
	add_dependencies(lcov_capture test)
	add_custom_target(
		lcov_remove
		COMMAND ${LCOV} --remove "${CMAKE_CURRENT_BINARY_DIR}/testgcal.lcov" '*.h' --output-file "${CMAKE_CURRENT_BINARY_DIR}/testgcal.lcov"
		WORKING_DIRECTORY "${CMAKE_BINARY_DIR}"
	)
	add_dependencies(lcov_remove lcov_capture)
	if (LCOV_GENHTML)
		add_custom_target(
			lcov
			COMMAND ${LCOV_GENHTML} "${CMAKE_CURRENT_BINARY_DIR}/testgcal.lcov" --output-directory "${CMAKE_BINARY_DIR}/docs/lcov"
			WORKING_DIRECTORY "${CMAKE_BINARY_DIR}"
		)
		add_dependencies(lcov lcov_capture)
		add_dependencies(lcov lcov_remove)
		add_dependencies(doc lcov)
	endif()
endif()

=== debian/changelog ===
libgcal (0.9.6-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: ld: /usr/lib/gcc/x86_64-linux-gnu/4.8/../../../x86_64-
    linux-gnu/libcheck_pic.a(check_pack.o): undefined reference to
    symbol '__pthread_unregister_cancel@@GLIBC_2.3.3'":
    add patch 02_link_pthread.patch from Ubuntu / Andreas Moog:
    - explicitly link the tests with pthread
    (Closes: #713575)

 -- gregor herrmann <gregoa@debian.org>  Wed, 13 Nov 2013 21:00:38 +0100

libgcal (0.9.6-3) unstable; urgency=low

  [ José Manuel Santamaría Lema ]
  * debian/control (Build-Depends): replace libcurl4-openssl-dev by
    libcurl4-gnutls-dev.

 -- Fathi Boudra <fabo@debian.org>  Mon, 30 May 2011 11:19:56 +0300

libgcal (0.9.6-2) unstable; urgency=low

  * debian/patches/01_check_for_empty_strings_before_copy_them.patch:
    Fixed a crash when adding akonadi resource. (Closes: #622818)
  * debian/control (Standards-Version): Bumped from 3.9.1 to 3.9.2
    (no changes needed).
  * debian/copyright (lintian warning): Removed reference to deprecated BSD
    license.

 -- Fathi Boudra <fabo@debian.org>  Mon, 02 May 2011 13:48:43 +0300

libgcal (0.9.6-1) unstable; urgency=low

  * New upstream release.
  * debian/libgcal-dev.install: Updated.
  * debian/libgcal0.symbols: Updated.
  * debian/patches/01_restore_abi_compatibility.diff: Removed, stolen upstream.
  * debian/patches/02_libxml_segfault.diff: Removed, stolen upstream.
  * debian/control (Standards-Version): Bumped from 3.8.4 to 3.9.1
    (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Mon, 21 Feb 2011 14:56:37 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Michael Banck <mbanck@debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>
 Build-Depends: debhelper (>= 7.4.11~), cmake, check, libxml2-dev, libcurl4-gnutls-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/libgcal/
 Vcs-Svn: svn://svn.debian.org/pkg-opensync/trunk/libgcal
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-opensync/trunk/libgcal/#_trunk_libgcal_
@@ -21,7 +21,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libgcal0 (= ${binary:Version}), libxml2-dev, libcurl4-openssl-dev
+ libgcal0 (= ${binary:Version}), libxml2-dev, libcurl4-gnutls-dev
 Description: Google calendar and contacts (development files)
  This is a library to access google calendar events and contacts.
  Its purpose is to provide easy access to available events/contacts and to

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake --parallel --list-missing

.PHONY: override_dh_auto_test
